Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrI18n

    java.lang.Object
      org.modeshape.jcr.JcrI18n

    @Immutable
    public final class JcrI18n

extends Object

The internationalized string constants for the `org.modeshape.jcr*` packages.

Field Summary
`static I18n` | `allNodeTypeTemplatesMustComeFromSameSession`
`static I18n` | `allPropertyValuesMustHaveSameType`
`static I18n` | `alreadyLocked`
`static I18n` | `ambiguousPrimaryItemName`
`static I18n` | `autocreatedNodesNeedDefaults`
`static I18n` | `autocreatedPropertyNeedsDefault`
`static I18n` | `badNodeTypeName`
`static I18n` | `cannotAddMixin`
`static I18n` | `cannotCheckinNodeWithAbortChildNode`
`static I18n` | `cannotCheckinNodeWithAbortProperty`
`static I18n` | `cannotConvertValue`
`static I18n` | `cannotCreateChildOnCheckedInNodeSinceOpvOfChildDefinitionIsNotIgnore`
`static I18n` | `cannotCreateUuid`
`static I18n` | `cannotMakeMandatoryDefinitionOptional`
`static I18n` | `cannotOverrideProtectedDefinition`
`static I18n` | `cannotPerformNodeTypeCheck`
`static I18n` | `cannotRedefineChildNodeWithIncompatibleDefinition`
`static I18n` | `cannotRedefineProperty`
`static I18n` | `cannotRemoveChildOnCheckedInNodeSinceOpvOfChildDefinitionIsNotIgnore`
`static I18n` | `cannotRemoveFromProtectedNode`
`static I18n` | `cannotRemoveItemWithProtectedDefinition`
`static I18n` | `cannotRemoveLockToken`
`static I18n` | `cannotRemoveNodeFromClone`
`static I18n` | `cannotRemoveNodeFromCloneDueToChangesInSession`
`static I18n` | `cannotRemoveParentNodeOfTarget`
`static I18n` | `cannotRemoveRootNode`
`static I18n` | `cannotRemoveVersion`
`static I18n` | `cannotRestoreRootVersion`
`static I18n` | `cannotSetProtectedPropertyValue`
`static I18n` | `cannotUnregisterDefaultPrimaryType`
`static I18n` | `cannotUnregisterInUseType`
`static I18n` | `cannotUnregisterRequiredPrimaryType`
`static I18n` | `cannotUnregisterSupertype`
`static I18n` | `cannotUseMixinTypeAsPrimaryType`
`static I18n` | `changedNodeCannotBeLocked`
`static I18n` | `changedNodeCannotBeUnlocked`
`static I18n` | `childNodeAlreadyExists`
`static I18n` | `childNotFoundUnderNode`
`static I18n` | `cleanedUpLocks`
`static I18n` | `cleaningUpLocks`
`static I18n` | `completedStartingRepository`
`static I18n` | `configurationError`
`static I18n` | `configurationWarning`
`static I18n` | `constraintsChangedInSubtype`
`static I18n` | `constraintViolatedOnReference`
`static I18n` | `couldNotFindDefinitionOfRequiredPrimaryType`
`static I18n` | `couldNotStartEngine`
`static I18n` | `creatingWorkspacesIsNotAllowedInRepository`
`static I18n` | `credentialsMustProvideJaasMethod`
`static I18n` | `credentialsMustReturnLoginContext`
`static I18n` | `defaultWorkspaceName`
`static I18n` | `descendantAlreadyLocked`
`static I18n` | `emptyRepositoryNameProvidedWhenRegisteringRepositoryInJndi`
`static I18n` | `engineAtJndiLocationIsNotRunning`
`static I18n` | `engineIsNotRunning`
`static I18n` | `engineStarted`
`static I18n` | `engineStarting`
`static I18n` | `engineStopped`
`static I18n` | `engineStopping`
`static I18n` | `equiJoinWithOneJcrPathPseudoColumnIsInvalid`
`static I18n` | `errorAddingBinaryTextToIndex`
`static I18n` | `errorCheckingNodeTypeUsage`
`static I18n` | `errorCleaningUpLocks`
`static I18n` | `errorClosingLuceneReaderForIndex`
`static I18n` | `errorDuringCheckinNode`
`static I18n` | `errorDuringGarbageCollection`
`static I18n` | `errorExtractingTextFromBinary`
`static I18n` | `errorImportingNodeTypeContent`
`static I18n` | `errorInAuthenticationProvider`
`static I18n` | `errorKillingEngine`
`static I18n` | `errorKillingRepository`
`static I18n` | `errorLoadingNodeTypeDefintions`
`static I18n` | `errorMarkingBinaryValuesUnused`
`static I18n` | `errorObtainingDefaultWorkspaceName`
`static I18n` | `errorObtainingWorkspaceNames`
`static I18n` | `errorReadingNodeTypesFromRemote`
`static I18n` | `errorRefreshingLocks`
`static I18n` | `errorRefreshingNodeTypes`
`static I18n` | `errorRefreshingNodeTypesFromSystem`
`static I18n` | `errorRegisteringPersistentNamespace`
`static I18n` | `errorShuttingDownJcrRepositoryFactory`
`static I18n` | `errorsInRepositoryConfiguration`
`static I18n` | `errorsParsingNodeTypeDefinitions`
`static I18n` | `errorsParsingStreamOfNodeTypeDefinitions`
`static I18n` | `errorStartingRepository`
`static I18n` | `errorStartingRepositoryCheckConfiguration`
`static I18n` | `errorSynchronizingNodeTypes`
`static I18n` | `errorUpdatingQueryIndexes`
`static I18n` | `errorVerifyingWorkspaceName`
`static I18n` | `errorWhileCommittingIndexChanges`
`static I18n` | `errorWhileFindingNodeWithPath`
`static I18n` | `errorWhileFindingNodeWithUuid`
`static I18n` | `errorWhileInitializingTheNamespaceRegistry`
`static I18n` | `errorWhileRollingBackIndexChanges`
`static I18n` | `errorWhileShuttingDownEngineInJndi`
`static I18n` | `errorWhileShuttingDownRepositoryInJndi`
`static I18n` | `failedToQueryForDerivedContent`
`static I18n` | `failedToReadPropertiesFromManifest`
`static I18n` | `failedToReadPropertyFromManifest`
`static I18n` | `failedToShutdownDeployedRepository`
`static I18n` | `failedWhileRollingBackDestroyToRuntimeError`
`static I18n` | `fileDoesNotExist`
`static I18n` | `fileMustExistAndBeReadable`
`static I18n` | `identifierPathContainedUnsupportedIdentifierFormat`
`static I18n` | `identifierPathNeverReferencesProperty`
`static I18n` | `ignoringIndexingProperty`
`static I18n` | `indexRebuildingComplete`
`static I18n` | `indexRebuildingOfWorkspaceComplete`
`static I18n` | `indexRebuildingOfWorkspaceStarted`
`static I18n` | `indexRebuildingStarted`
`static I18n` | `initializing`
`static I18n` | `invalidAbsolutePath`
`static I18n` | `invalidAliasForComponent`
`static I18n` | `invalidJcrUrl`
`static I18n` | `invalidLockToken`
`static I18n` | `invalidMethodForMultiValuedProperty`
`static I18n` | `invalidMethodForSingleValuedProperty`
`static I18n` | `invalidMixinTypeForNode`
`static I18n` | `invalidNamePattern`
`static I18n` | `invalidNodeTypeName`
`static I18n` | `invalidNodeTypeNameParameter`
`static I18n` | `invalidOptionProvided`
`static I18n` | `invalidPathParameter`
`static I18n` | `invalidPrimaryItemName`
`static I18n` | `invalidPrimaryTypeName`
`static I18n` | `invalidPropertyType`
`static I18n` | `invalidQueryLanguage`
`static I18n` | `invalidRelativePath`
`static I18n` | `invalidRepositoryNameWhenRegisteringRepositoryInJndi`
`static I18n` | `invalidSupertypeName`
`static I18n` | `invalidVersion`
`static I18n` | `invalidVersionLabel`
`static I18n` | `invalidVersionName`
`static I18n` | `itemAlreadyExistsWithUuid`
`static I18n` | `itemNotFoundAtPath`
`static I18n` | `itemNotFoundAtPathRelativeToReferenceNode`
`static I18n` | `itemNotFoundWithUuid`
`static I18n` | `labeledNodeNotFound`
`static I18n` | `locationForIndexesCannotBeRead`
`static I18n` | `locationForIndexesCannotBeWritten`
`static I18n` | `locationForIndexesIsNotDirectory`
`static I18n` | `lockTokenAlreadyHeld`
`static I18n` | `lockTokenNotHeld`
`static I18n` | `loginConfigNotFound`
`static I18n` | `loginFailed`
`static I18n` | `missingComponentType`
`static I18n` | `missingFieldOnInstance`
`static I18n` | `missingMandatoryChild`
`static I18n` | `missingMandatoryProperty`
`static I18n` | `missingNodeTypeForExistingNode`
`static I18n` | `missingQueryVariableValue`
`static I18n` | `missingRepositoryNameInUrlContainingJndiLocationOfEngine`
`static I18n` | `missingVariableValue`
`static I18n` | `multipleSelectorsAppearInQueryRequireSpecifyingSelectorName`
`static I18n` | `multipleSelectorsAppearInQueryUnableToCallMethod`
`static I18n` | `mustBeInPrivilegedAction`
`static I18n` | `noChildNodeDefinition`
`static I18n` | `nodeCreatedBySessionUsedExistingKey`
`static I18n` | `nodeDefinitionCouldNotBeDeterminedForNode`
`static I18n` | `nodeHasAlreadyBeenRemovedFromThisSession`
`static I18n` | `nodeIsCheckedIn`
`static I18n` | `nodeIsLocked`
`static I18n` | `nodeModifiedBySessionWasRemovedByAnotherSession`
`static I18n` | `nodeNotFound`
`static I18n` | `nodeNotFoundAtPathRelativeToReferenceNode`
`static I18n` | `nodeNotInTheSameSession`
`static I18n` | `nodeNotLockable`
`static I18n` | `nodeNotReferenceable`
`static I18n` | `nodeNotReferenceableUuid`
`static I18n` | `nodeTypeAlreadyExists`
`static I18n` | `nodeTypesNotFoundInXml`
`static I18n` | `noExistingVersionForRestore`
`static I18n` | `noNamespaceWithPrefix`
`static I18n` | `noNamespaceWithUri`
`static I18n` | `noNegativeDepth`
`static I18n` | `noOptionValueProvided`
`static I18n` | `noPendingChangesAllowed`
`static I18n` | `noPendingChangesAllowedForNode`
`static I18n` | `noPrimaryItemNameDefinedOnPrimaryType`
`static I18n` | `noPrivilegeToGetLoginContextFromCredentials`
`static I18n` | `noPropertyDefinition`
`static I18n` | `noSnsDefinition`
`static I18n` | `noSnsDefinitionForNode`
`static I18n` | `noSuchNodeType`
`static I18n` | `noSuchVariableInQuery`
`static I18n` | `notLocked`
`static I18n` | `notOrderable`
`static I18n` | `notStoredQuery`
`static I18n` | `noVersionHistoryForTransientVersionableNodes`
`static I18n` | `parentAlreadyLocked`
`static I18n` | `pathCannotHaveSameNameSiblingIndex`
`static I18n` | `pathNotFound`
`static I18n` | `pathNotFoundRelativeTo`
`static I18n` | `pendingMergeConflicts`
`static I18n` | `permissionDenied`
`static I18n` | `potentialClasspathErrorAtJndiLocation`
`static I18n` | `primaryItemDoesNotExist`
`static I18n` | `primaryItemNameForPrimaryTypeIsNotValid`
`static I18n` | `primaryTypeCannotBeAbstract`
`static I18n` | `problemReadingNodeTypesFromRemote`
`static I18n` | `problemRefreshingNodeTypesFromSystem`
`static I18n` | `propertyNoLongerHasValidDefinition`
`static I18n` | `propertyNoLongerSatisfiesConstraints`
`static I18n` | `propertyNotFoundAtPathRelativeToReferenceNode`
`static I18n` | `propertyNotFoundOnNode`
`static I18n` | `queryCannotBeParsedUsingLanguage`
`static I18n` | `queryInLanguageIsNotValid`
`static I18n` | `queryIsDisabledInRepository`
`static I18n` | `queryResultsDoNotIncludeColumn`
`static I18n` | `queryResultsDoNotIncludeScore`
`static I18n` | `referenceValuesViolateConstraintsOnDefinition`
`static I18n` | `referenceValueViolatesConstraintsOnDefinition`
`static I18n` | `repositoriesNotFoundInEngineAtJndiLocation`
`static I18n` | `repositoryConfigurationIsNotValid`
`static I18n` | `repositoryDoesNotExist`
`static I18n` | `repositoryIsAlreadyDeployed`
`static I18n` | `repositoryIsNotRunningOrHasBeenShutDown`
`static I18n` | `repositoryIsNotRunningOrHasBeenShutDownInEngineAtJndiLocation`
`static I18n` | `repositoryMustBeConfigured`
`static I18n` | `repositoryNameDoesNotMatchConfigurationName`
`static I18n` | `repositoryNameNotProvidedWhenRegisteringRepositoryInJndi`
`static I18n` | `repositoryNotFoundInEngineAtJndiLocation`
`static I18n` | `repositoryReferencesNonExistantSource`
`static I18n` | `requiresVersionable`
`static I18n` | `residualNodeDefinitionsCannotBeAutoCreated`
`static I18n` | `residualNodeDefinitionsCannotBeMandatory`
`static I18n` | `residualPropertyDefinitionsCannotBeAutoCreated`
`static I18n` | `residualPropertyDefinitionsCannotBeMandatory`
`static I18n` | `rootNodeCannotBeDestinationOfMovedNode`
`static I18n` | `rootNodeHasNoParent`
`static I18n` | `rootNodeIsNotProperty`
`static I18n` | `searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeCreated`
`static I18n` | `searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeRead`
`static I18n` | `searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeWrittenTo`
`static I18n` | `searchIndexDirectoryOptionSpecifiesFileNotDirectory`
`static I18n` | `selectorNotUsedInQuery`
`static I18n` | `selectorUsedInEquiJoinCriteriaDoesNotExistInQuery`
`static I18n` | `sessionIsNotActive`
`static I18n` | `setPrimaryTypeOnRootNodeIsNotSupported`
`static I18n` | `singleValuedPropertyNeedsSingleValuedDefault`
`static I18n` | `sourceInUse`
`static I18n` | `SPEC_NAME_DESC`
`static I18n` | `startingAllRepositoriesWasInterrupted`
`static I18n` | `startingOfRepositoryWasCancelled`
`static I18n` | `startingOfRepositoryWasInterrupted`
`static I18n` | `storageRelatedConfigurationChangesWillTakeEffectAfterShutdown`
`static I18n` | `supertypeNotFound`
`static I18n` | `supertypesConflict`
`static I18n` | `suppliedNodeTypeIsNotMixinType`
`static I18n` | `systemSourceNameOptionValueDoesNotReferenceExistingSource`
`static I18n` | `systemSourceNameOptionValueDoesNotReferenceValidWorkspace`
`static I18n` | `systemSourceNameOptionValueIsNotFormattedCorrectly`
`static I18n` | `tempDirectoryLocation`
`static I18n` | `tempDirectorySystemPropertyMustBeSet`
`static I18n` | `tooDeep`
`static I18n` | `typeMissingWhenRegisteringEngineInJndi`
`static I18n` | `typeNotFound`
`static I18n` | `unableToBindToJndi`
`static I18n` | `unableToChangePrimaryTypeDueToParentsChildDefinition`
`static I18n` | `unableToChangePrimaryTypeDueToPropertyDefinition`
`static I18n` | `unableToChangeTheDefaultNamespace`
`static I18n` | `unableToCreateNodeWithInternalPrimaryType`
`static I18n` | `unableToCreateNodeWithNoDefaultPrimaryTypeOnChildNodeDefinition`
`static I18n` | `unableToCreateNodeWithPrimaryTypeThatDoesNotExist`
`static I18n` | `unableToDeleteTemporaryFile`
`static I18n` | `unableToDestroyDefaultWorkspaceInRepository`
`static I18n` | `unableToDestroyPredefinedWorkspaceInRepository`
`static I18n` | `unableToDestroySystemWorkspaceInRepository`
`static I18n` | `unableToFindBinaryValue`
`static I18n` | `unableToFindNodeTypeDefinitionsOnClasspathOrFileOrUrl`
`static I18n` | `unableToFindRepositoryConfigurationSchema`
`static I18n` | `unableToFindResourceOnClasspathOrFileOrUrl`
`static I18n` | `unableToImportInitialContent`
`static I18n` | `unableToInitializeAuthenticationProvider`
`static I18n` | `unableToInitializeSequencer`
`static I18n` | `unableToInitializeSystemWorkspace`
`static I18n` | `unableToInitializeTextExtractor`
`static I18n` | `unableToLoadRepositoryConfigurationSchema`
`static I18n` | `unableToModifySystemNodes`
`static I18n` | `unableToMoveNodeToBeChildOfDecendent`
`static I18n` | `unableToMoveRootNode`
`static I18n` | `unableToPersistBinaryValueToFileSystemStore`
`static I18n` | `unableToReadTemporaryDirectory`
`static I18n` | `unableToRefreshBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch`
`static I18n` | `unableToRegisterNamespaceUsingXmlPrefix`
`static I18n` | `unableToRegisterNamespaceWithInvalidPrefix`
`static I18n` | `unableToRegisterReservedNamespacePrefix`
`static I18n` | `unableToRegisterReservedNamespaceUri`
`static I18n` | `unableToRemoveRootNode`
`static I18n` | `unableToRemoveSystemNodes`
`static I18n` | `unableToRestoreAtAbsPathNodeAlreadyExists`
`static I18n` | `unableToSaveBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch`
`static I18n` | `unableToSaveNodeThatWasCreatedSincePreviousSave`
`static I18n` | `unableToSetFieldOnInstance`
`static I18n` | `unableToSetMultiValuedPropertyUsingSingleValue`
`static I18n` | `unableToSetSingleValuedPropertyUsingMultipleValues`
`static I18n` | `unableToUnregisterPrefixForNamespaceThatIsNotRegistered`
`static I18n` | `unableToUnregisterReservedNamespacePrefix`
`static I18n` | `unableToUnregisterReservedNamespaceUri`
`static I18n` | `unableToWriteTemporaryDirectory`
`static I18n` | `unexpectedException`
`static I18n` | `unknownCredentialsImplementation`
`static I18n` | `unrootedVersionsInRestore`
`static I18n` | `usingAnonymousUser`
`static I18n` | `uuidRequiredForLock`
`static I18n` | `valueMayNotContainNull`
`static I18n` | `valuesViolateConstraintsOnDefinition`
`static I18n` | `valueViolatesConstraintsOnDefinition`
`static I18n` | `versionHistoryForNewlyVersionableNodesNotAvailableUntilSave`
`static I18n` | `versionLabelAlreadyExists`
`static I18n` | `versionNotInMergeFailed`
`static I18n` | `warningsParsingNodeTypeDefinitions`
`static I18n` | `warningsParsingStreamOfNodeTypeDefinitions`
`static I18n` | `weakReferenceValuesViolateConstraintsOnDefinition`
`static I18n` | `weakReferenceValueViolatesConstraintsOnDefinition`
`static I18n` | `workspaceHasBeenDeleted`
`static I18n` | `workspaceNameIsInvalid`
`static I18n` | `workspaceNotFound`

Constructor Summary
`JcrI18n()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initializing

    public static I18n initializing

### engineStarting

    public static I18n engineStarting

### engineStarted

    public static I18n engineStarted

### couldNotStartEngine

    public static I18n couldNotStartEngine

### engineStopping

    public static I18n engineStopping

### engineStopped

    public static I18n engineStopped

### repositoryReferencesNonExistantSource

    public static I18n repositoryReferencesNonExistantSource

### indexRebuildingStarted

    public static I18n indexRebuildingStarted

### indexRebuildingComplete

    public static I18n indexRebuildingComplete

### indexRebuildingOfWorkspaceStarted

    public static I18n indexRebuildingOfWorkspaceStarted

### indexRebuildingOfWorkspaceComplete

    public static I18n indexRebuildingOfWorkspaceComplete

### unableToInitializeSystemWorkspace

    public static I18n unableToInitializeSystemWorkspace

### cannotConvertValue

    public static I18n cannotConvertValue

### loginFailed

    public static I18n loginFailed

### noPrivilegeToGetLoginContextFromCredentials

    public static I18n noPrivilegeToGetLoginContextFromCredentials

### credentialsMustProvideJaasMethod

    public static I18n credentialsMustProvideJaasMethod

### mustBeInPrivilegedAction

    public static I18n mustBeInPrivilegedAction

### loginConfigNotFound

    public static I18n loginConfigNotFound

### credentialsMustReturnLoginContext

    public static I18n credentialsMustReturnLoginContext

### usingAnonymousUser

    public static I18n usingAnonymousUser

### unknownCredentialsImplementation

    public static I18n unknownCredentialsImplementation

### defaultWorkspaceName

    public static I18n defaultWorkspaceName

### nodeNotFound

    public static I18n nodeNotFound

### pathNotFound

    public static I18n pathNotFound

### pathNotFoundRelativeTo

    public static I18n pathNotFoundRelativeTo

### pathCannotHaveSameNameSiblingIndex

    public static I18n pathCannotHaveSameNameSiblingIndex

### permissionDenied

    public static I18n permissionDenied

### repositoryMustBeConfigured

    public static I18n repositoryMustBeConfigured

### sourceInUse

    public static I18n sourceInUse

### repositoryDoesNotExist

    public static I18n repositoryDoesNotExist

### fileDoesNotExist

    public static I18n fileDoesNotExist

### failedToReadPropertiesFromManifest

    public static I18n failedToReadPropertiesFromManifest

### failedToReadPropertyFromManifest

    public static I18n failedToReadPropertyFromManifest

### errorLoadingNodeTypeDefintions

    public static I18n errorLoadingNodeTypeDefintions

### errorStartingRepositoryCheckConfiguration

    public static I18n errorStartingRepositoryCheckConfiguration

### completedStartingRepository

    public static I18n completedStartingRepository

### startingAllRepositoriesWasInterrupted

    public static I18n startingAllRepositoriesWasInterrupted

### unableToFindNodeTypeDefinitionsOnClasspathOrFileOrUrl

    public static I18n unableToFindNodeTypeDefinitionsOnClasspathOrFileOrUrl

### unableToFindResourceOnClasspathOrFileOrUrl

    public static I18n unableToFindResourceOnClasspathOrFileOrUrl

### unableToImportInitialContent

    public static I18n unableToImportInitialContent

### fileMustExistAndBeReadable

    public static I18n fileMustExistAndBeReadable

### invalidJcrUrl

    public static I18n invalidJcrUrl

### unableToInitializeAuthenticationProvider

    public static I18n unableToInitializeAuthenticationProvider

### errorInAuthenticationProvider

    public static I18n errorInAuthenticationProvider

### unableToInitializeSequencer

    public static I18n unableToInitializeSequencer

### unableToInitializeTextExtractor

    public static I18n unableToInitializeTextExtractor

### rootNodeHasNoParent

    public static I18n rootNodeHasNoParent

### rootNodeIsNotProperty

    public static I18n rootNodeIsNotProperty

### childNodeAlreadyExists

    public static I18n childNodeAlreadyExists

### noNamespaceWithPrefix

    public static I18n noNamespaceWithPrefix

### noNamespaceWithUri

    public static I18n noNamespaceWithUri

### unableToChangeTheDefaultNamespace

    public static I18n unableToChangeTheDefaultNamespace

### unableToRegisterReservedNamespacePrefix

    public static I18n unableToRegisterReservedNamespacePrefix

### unableToRegisterReservedNamespaceUri

    public static I18n unableToRegisterReservedNamespaceUri

### unableToRegisterNamespaceUsingXmlPrefix

    public static I18n unableToRegisterNamespaceUsingXmlPrefix

### unableToRegisterNamespaceWithInvalidPrefix

    public static I18n unableToRegisterNamespaceWithInvalidPrefix

### errorRegisteringPersistentNamespace

    public static I18n errorRegisteringPersistentNamespace

### unableToUnregisterReservedNamespacePrefix

    public static I18n unableToUnregisterReservedNamespacePrefix

### unableToUnregisterReservedNamespaceUri

    public static I18n unableToUnregisterReservedNamespaceUri

### unableToUnregisterPrefixForNamespaceThatIsNotRegistered

    public static I18n unableToUnregisterPrefixForNamespaceThatIsNotRegistered

### errorWhileInitializingTheNamespaceRegistry

    public static I18n errorWhileInitializingTheNamespaceRegistry

### errorCleaningUpLocks

    public static I18n errorCleaningUpLocks

### errorRefreshingLocks

    public static I18n errorRefreshingLocks

### cleaningUpLocks

    public static I18n cleaningUpLocks

### cleanedUpLocks

    public static I18n cleanedUpLocks

### invalidRelativePath

    public static I18n invalidRelativePath

### invalidAbsolutePath

    public static I18n invalidAbsolutePath

### invalidPathParameter

    public static I18n invalidPathParameter

### invalidNamePattern

    public static I18n invalidNamePattern

### invalidNodeTypeNameParameter

    public static I18n invalidNodeTypeNameParameter

### noPrimaryItemNameDefinedOnPrimaryType

    public static I18n noPrimaryItemNameDefinedOnPrimaryType

### primaryItemNameForPrimaryTypeIsNotValid

    public static I18n primaryItemNameForPrimaryTypeIsNotValid

### primaryItemDoesNotExist

    public static I18n primaryItemDoesNotExist

### itemNotFoundWithUuid

    public static I18n itemNotFoundWithUuid

### itemAlreadyExistsWithUuid

    public static I18n itemAlreadyExistsWithUuid

### itemNotFoundAtPath

    public static I18n itemNotFoundAtPath

### itemNotFoundAtPathRelativeToReferenceNode

    public static I18n itemNotFoundAtPathRelativeToReferenceNode

### identifierPathContainedUnsupportedIdentifierFormat

    public static I18n identifierPathContainedUnsupportedIdentifierFormat

### identifierPathNeverReferencesProperty

    public static I18n identifierPathNeverReferencesProperty

### propertyNotFoundOnNode

    public static I18n propertyNotFoundOnNode

### propertyNotFoundAtPathRelativeToReferenceNode

    public static I18n propertyNotFoundAtPathRelativeToReferenceNode

### nodeNotFoundAtPathRelativeToReferenceNode

    public static I18n nodeNotFoundAtPathRelativeToReferenceNode

### childNotFoundUnderNode

    public static I18n childNotFoundUnderNode

### errorWhileFindingNodeWithUuid

    public static I18n errorWhileFindingNodeWithUuid

### errorWhileFindingNodeWithPath

    public static I18n errorWhileFindingNodeWithPath

### nodeDefinitionCouldNotBeDeterminedForNode

    public static I18n nodeDefinitionCouldNotBeDeterminedForNode

### noSnsDefinitionForNode

    public static I18n noSnsDefinitionForNode

### missingNodeTypeForExistingNode

    public static I18n missingNodeTypeForExistingNode

### unableToCreateNodeWithInternalPrimaryType

    public static I18n unableToCreateNodeWithInternalPrimaryType

### unableToCreateNodeWithPrimaryTypeThatDoesNotExist

    public static I18n unableToCreateNodeWithPrimaryTypeThatDoesNotExist

### unableToCreateNodeWithNoDefaultPrimaryTypeOnChildNodeDefinition

    public static I18n unableToCreateNodeWithNoDefaultPrimaryTypeOnChildNodeDefinition

### unableToSaveNodeThatWasCreatedSincePreviousSave

    public static I18n unableToSaveNodeThatWasCreatedSincePreviousSave

### unableToSetMultiValuedPropertyUsingSingleValue

    public static I18n unableToSetMultiValuedPropertyUsingSingleValue

### cannotSetProtectedPropertyValue

    public static I18n cannotSetProtectedPropertyValue

### unableToSetSingleValuedPropertyUsingMultipleValues

    public static I18n unableToSetSingleValuedPropertyUsingMultipleValues

### invalidMethodForSingleValuedProperty

    public static I18n invalidMethodForSingleValuedProperty

### invalidMethodForMultiValuedProperty

    public static I18n invalidMethodForMultiValuedProperty

### unableToRefreshBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

    public static I18n unableToRefreshBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

### unableToSaveBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

    public static I18n unableToSaveBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

### allPropertyValuesMustHaveSameType

    public static I18n allPropertyValuesMustHaveSameType

### cannotRemoveNodeFromClone

    public static I18n cannotRemoveNodeFromClone

### cannotRemoveNodeFromCloneDueToChangesInSession

    public static I18n cannotRemoveNodeFromCloneDueToChangesInSession

### constraintViolatedOnReference

    public static I18n constraintViolatedOnReference

### unableToBindToJndi

    public static I18n unableToBindToJndi

### invalidOptionProvided

    public static I18n invalidOptionProvided

### noOptionValueProvided

    public static I18n noOptionValueProvided

### valueMayNotContainNull

    public static I18n valueMayNotContainNull

### propertyNoLongerSatisfiesConstraints

    public static I18n propertyNoLongerSatisfiesConstraints

### propertyNoLongerHasValidDefinition

    public static I18n propertyNoLongerHasValidDefinition

### cannotRemoveRootNode

    public static I18n cannotRemoveRootNode

### cannotRemoveParentNodeOfTarget

    public static I18n cannotRemoveParentNodeOfTarget

### invalidPropertyType

    public static I18n invalidPropertyType

### rootNodeCannotBeDestinationOfMovedNode

    public static I18n rootNodeCannotBeDestinationOfMovedNode

### unableToMoveRootNode

    public static I18n unableToMoveRootNode

### unableToRemoveRootNode

    public static I18n unableToRemoveRootNode

### unableToRemoveSystemNodes

    public static I18n unableToRemoveSystemNodes

### unableToModifySystemNodes

    public static I18n unableToModifySystemNodes

### unableToMoveNodeToBeChildOfDecendent

    public static I18n unableToMoveNodeToBeChildOfDecendent

### nodeHasAlreadyBeenRemovedFromThisSession

    public static I18n nodeHasAlreadyBeenRemovedFromThisSession

### typeNotFound

    public static I18n typeNotFound

### supertypeNotFound

    public static I18n supertypeNotFound

### errorImportingNodeTypeContent

    public static I18n errorImportingNodeTypeContent

### nodeTypesNotFoundInXml

    public static I18n nodeTypesNotFoundInXml

### failedToQueryForDerivedContent

    public static I18n failedToQueryForDerivedContent

### systemSourceNameOptionValueDoesNotReferenceExistingSource

    public static I18n systemSourceNameOptionValueDoesNotReferenceExistingSource

### systemSourceNameOptionValueDoesNotReferenceValidWorkspace

    public static I18n systemSourceNameOptionValueDoesNotReferenceValidWorkspace

### systemSourceNameOptionValueIsNotFormattedCorrectly

    public static I18n systemSourceNameOptionValueIsNotFormattedCorrectly

### searchIndexDirectoryOptionSpecifiesFileNotDirectory

    public static I18n searchIndexDirectoryOptionSpecifiesFileNotDirectory

### searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeRead

    public static I18n searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeRead

### searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeWrittenTo

    public static I18n searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeWrittenTo

### searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeCreated

    public static I18n searchIndexDirectoryOptionSpecifiesDirectoryThatCannotBeCreated

### errorUpdatingQueryIndexes

    public static I18n errorUpdatingQueryIndexes

### invalidAliasForComponent

    public static I18n invalidAliasForComponent

### unableToSetFieldOnInstance

    public static I18n unableToSetFieldOnInstance

### missingFieldOnInstance

    public static I18n missingFieldOnInstance

### missingComponentType

    public static I18n missingComponentType

### typeMissingWhenRegisteringEngineInJndi

    public static I18n typeMissingWhenRegisteringEngineInJndi

### repositoryNameNotProvidedWhenRegisteringRepositoryInJndi

    public static I18n repositoryNameNotProvidedWhenRegisteringRepositoryInJndi

### invalidRepositoryNameWhenRegisteringRepositoryInJndi

    public static I18n invalidRepositoryNameWhenRegisteringRepositoryInJndi

### emptyRepositoryNameProvidedWhenRegisteringRepositoryInJndi

    public static I18n emptyRepositoryNameProvidedWhenRegisteringRepositoryInJndi

### noNegativeDepth

    public static I18n noNegativeDepth

### tooDeep

    public static I18n tooDeep

### SPEC_NAME_DESC

    public static I18n SPEC_NAME_DESC

### errorObtainingWorkspaceNames

    public static I18n errorObtainingWorkspaceNames

### errorObtainingDefaultWorkspaceName

    public static I18n errorObtainingDefaultWorkspaceName

### workspaceNameIsInvalid

    public static I18n workspaceNameIsInvalid

### errorVerifyingWorkspaceName

    public static I18n errorVerifyingWorkspaceName

### notStoredQuery

    public static I18n notStoredQuery

### invalidQueryLanguage

    public static I18n invalidQueryLanguage

### queryCannotBeParsedUsingLanguage

    public static I18n queryCannotBeParsedUsingLanguage

### queryInLanguageIsNotValid

    public static I18n queryInLanguageIsNotValid

### queryIsDisabledInRepository

    public static I18n queryIsDisabledInRepository

### queryResultsDoNotIncludeScore

    public static I18n queryResultsDoNotIncludeScore

### queryResultsDoNotIncludeColumn

    public static I18n queryResultsDoNotIncludeColumn

### selectorNotUsedInQuery

    public static I18n selectorNotUsedInQuery

### selectorUsedInEquiJoinCriteriaDoesNotExistInQuery

    public static I18n selectorUsedInEquiJoinCriteriaDoesNotExistInQuery

### multipleSelectorsAppearInQueryRequireSpecifyingSelectorName

    public static I18n multipleSelectorsAppearInQueryRequireSpecifyingSelectorName

### multipleSelectorsAppearInQueryUnableToCallMethod

    public static I18n multipleSelectorsAppearInQueryUnableToCallMethod

### equiJoinWithOneJcrPathPseudoColumnIsInvalid

    public static I18n equiJoinWithOneJcrPathPseudoColumnIsInvalid

### noSuchVariableInQuery

    public static I18n noSuchVariableInQuery

### invalidNodeTypeName

    public static I18n invalidNodeTypeName

### badNodeTypeName

    public static I18n badNodeTypeName

### noSuchNodeType

    public static I18n noSuchNodeType

### nodeTypeAlreadyExists

    public static I18n nodeTypeAlreadyExists

### invalidPrimaryTypeName

    public static I18n invalidPrimaryTypeName

### invalidSupertypeName

    public static I18n invalidSupertypeName

### supertypesConflict

    public static I18n supertypesConflict

### ambiguousPrimaryItemName

    public static I18n ambiguousPrimaryItemName

### invalidPrimaryItemName

    public static I18n invalidPrimaryItemName

### autocreatedNodesNeedDefaults

    public static I18n autocreatedNodesNeedDefaults

### residualPropertyDefinitionsCannotBeMandatory

    public static I18n residualPropertyDefinitionsCannotBeMandatory

### residualPropertyDefinitionsCannotBeAutoCreated

    public static I18n residualPropertyDefinitionsCannotBeAutoCreated

### residualNodeDefinitionsCannotBeMandatory

    public static I18n residualNodeDefinitionsCannotBeMandatory

### residualNodeDefinitionsCannotBeAutoCreated

    public static I18n residualNodeDefinitionsCannotBeAutoCreated

### cannotOverrideProtectedDefinition

    public static I18n cannotOverrideProtectedDefinition

### cannotMakeMandatoryDefinitionOptional

    public static I18n cannotMakeMandatoryDefinitionOptional

### constraintsChangedInSubtype

    public static I18n constraintsChangedInSubtype

### cannotRedefineProperty

    public static I18n cannotRedefineProperty

### autocreatedPropertyNeedsDefault

    public static I18n autocreatedPropertyNeedsDefault

### singleValuedPropertyNeedsSingleValuedDefault

    public static I18n singleValuedPropertyNeedsSingleValuedDefault

### couldNotFindDefinitionOfRequiredPrimaryType

    public static I18n couldNotFindDefinitionOfRequiredPrimaryType

### cannotRedefineChildNodeWithIncompatibleDefinition

    public static I18n cannotRedefineChildNodeWithIncompatibleDefinition

### cannotRemoveItemWithProtectedDefinition

    public static I18n cannotRemoveItemWithProtectedDefinition

### errorCheckingNodeTypeUsage

    public static I18n errorCheckingNodeTypeUsage

### noChildNodeDefinition

    public static I18n noChildNodeDefinition

### noPropertyDefinition

    public static I18n noPropertyDefinition

### noSnsDefinition

    public static I18n noSnsDefinition

### missingMandatoryProperty

    public static I18n missingMandatoryProperty

### missingMandatoryChild

    public static I18n missingMandatoryChild

### valueViolatesConstraintsOnDefinition

    public static I18n valueViolatesConstraintsOnDefinition

### valuesViolateConstraintsOnDefinition

    public static I18n valuesViolateConstraintsOnDefinition

### referenceValueViolatesConstraintsOnDefinition

    public static I18n referenceValueViolatesConstraintsOnDefinition

### referenceValuesViolateConstraintsOnDefinition

    public static I18n referenceValuesViolateConstraintsOnDefinition

### weakReferenceValueViolatesConstraintsOnDefinition

    public static I18n weakReferenceValueViolatesConstraintsOnDefinition

### weakReferenceValuesViolateConstraintsOnDefinition

    public static I18n weakReferenceValuesViolateConstraintsOnDefinition

### allNodeTypeTemplatesMustComeFromSameSession

    public static I18n allNodeTypeTemplatesMustComeFromSameSession

### nodeNotReferenceable

    public static I18n nodeNotReferenceable

### nodeNotReferenceableUuid

    public static I18n nodeNotReferenceableUuid

### noPendingChangesAllowed

    public static I18n noPendingChangesAllowed

### noPendingChangesAllowedForNode

    public static I18n noPendingChangesAllowedForNode

### nodeNotInTheSameSession

    public static I18n nodeNotInTheSameSession

### cannotUnregisterSupertype

    public static I18n cannotUnregisterSupertype

### cannotUnregisterRequiredPrimaryType

    public static I18n cannotUnregisterRequiredPrimaryType

### cannotUnregisterDefaultPrimaryType

    public static I18n cannotUnregisterDefaultPrimaryType

### cannotUnregisterInUseType

    public static I18n cannotUnregisterInUseType

### cannotAddMixin

    public static I18n cannotAddMixin

### invalidMixinTypeForNode

    public static I18n invalidMixinTypeForNode

### notOrderable

    public static I18n notOrderable

### cannotUseMixinTypeAsPrimaryType

    public static I18n cannotUseMixinTypeAsPrimaryType

### unableToChangePrimaryTypeDueToPropertyDefinition

    public static I18n unableToChangePrimaryTypeDueToPropertyDefinition

### unableToChangePrimaryTypeDueToParentsChildDefinition

    public static I18n unableToChangePrimaryTypeDueToParentsChildDefinition

### primaryTypeCannotBeAbstract

    public static I18n primaryTypeCannotBeAbstract

### setPrimaryTypeOnRootNodeIsNotSupported

    public static I18n setPrimaryTypeOnRootNodeIsNotSupported

### suppliedNodeTypeIsNotMixinType

    public static I18n suppliedNodeTypeIsNotMixinType

### errorReadingNodeTypesFromRemote

    public static I18n errorReadingNodeTypesFromRemote

### problemReadingNodeTypesFromRemote

    public static I18n problemReadingNodeTypesFromRemote

### errorSynchronizingNodeTypes

    public static I18n errorSynchronizingNodeTypes

### errorRefreshingNodeTypesFromSystem

    public static I18n errorRefreshingNodeTypesFromSystem

### problemRefreshingNodeTypesFromSystem

    public static I18n problemRefreshingNodeTypesFromSystem

### errorRefreshingNodeTypes

    public static I18n errorRefreshingNodeTypes

### errorsParsingNodeTypeDefinitions

    public static I18n errorsParsingNodeTypeDefinitions

### errorsParsingStreamOfNodeTypeDefinitions

    public static I18n errorsParsingStreamOfNodeTypeDefinitions

### warningsParsingNodeTypeDefinitions

    public static I18n warningsParsingNodeTypeDefinitions

### warningsParsingStreamOfNodeTypeDefinitions

    public static I18n warningsParsingStreamOfNodeTypeDefinitions

### nodeNotLockable

    public static I18n nodeNotLockable

### cannotRemoveLockToken

    public static I18n cannotRemoveLockToken

### nodeIsLocked

    public static I18n nodeIsLocked

### alreadyLocked

    public static I18n alreadyLocked

### parentAlreadyLocked

    public static I18n parentAlreadyLocked

### descendantAlreadyLocked

    public static I18n descendantAlreadyLocked

### notLocked

    public static I18n notLocked

### lockTokenNotHeld

    public static I18n lockTokenNotHeld

### lockTokenAlreadyHeld

    public static I18n lockTokenAlreadyHeld

### invalidLockToken

    public static I18n invalidLockToken

### changedNodeCannotBeLocked

    public static I18n changedNodeCannotBeLocked

### changedNodeCannotBeUnlocked

    public static I18n changedNodeCannotBeUnlocked

### uuidRequiredForLock

    public static I18n uuidRequiredForLock

### cannotCreateUuid

    public static I18n cannotCreateUuid

### cannotPerformNodeTypeCheck

    public static I18n cannotPerformNodeTypeCheck

### sessionIsNotActive

    public static I18n sessionIsNotActive

### nodeIsCheckedIn

    public static I18n nodeIsCheckedIn

### cannotCreateChildOnCheckedInNodeSinceOpvOfChildDefinitionIsNotIgnore

    public static I18n cannotCreateChildOnCheckedInNodeSinceOpvOfChildDefinitionIsNotIgnore

### cannotRemoveChildOnCheckedInNodeSinceOpvOfChildDefinitionIsNotIgnore

    public static I18n cannotRemoveChildOnCheckedInNodeSinceOpvOfChildDefinitionIsNotIgnore

### cannotRemoveFromProtectedNode

    public static I18n cannotRemoveFromProtectedNode

### cannotRemoveVersion

    public static I18n cannotRemoveVersion

### pendingMergeConflicts

    public static I18n pendingMergeConflicts

### invalidVersion

    public static I18n invalidVersion

### invalidVersionLabel

    public static I18n invalidVersionLabel

### invalidVersionName

    public static I18n invalidVersionName

### versionLabelAlreadyExists

    public static I18n versionLabelAlreadyExists

### labeledNodeNotFound

    public static I18n labeledNodeNotFound

### requiresVersionable

    public static I18n requiresVersionable

### cannotRestoreRootVersion

    public static I18n cannotRestoreRootVersion

### cannotCheckinNodeWithAbortProperty

    public static I18n cannotCheckinNodeWithAbortProperty

### cannotCheckinNodeWithAbortChildNode

    public static I18n cannotCheckinNodeWithAbortChildNode

### noExistingVersionForRestore

    public static I18n noExistingVersionForRestore

### versionNotInMergeFailed

    public static I18n versionNotInMergeFailed

### unrootedVersionsInRestore

    public static I18n unrootedVersionsInRestore

### errorDuringCheckinNode

    public static I18n errorDuringCheckinNode

### noVersionHistoryForTransientVersionableNodes

    public static I18n noVersionHistoryForTransientVersionableNodes

### versionHistoryForNewlyVersionableNodesNotAvailableUntilSave

    public static I18n versionHistoryForNewlyVersionableNodesNotAvailableUntilSave

### creatingWorkspacesIsNotAllowedInRepository

    public static I18n creatingWorkspacesIsNotAllowedInRepository

### workspaceHasBeenDeleted

    public static I18n workspaceHasBeenDeleted

### unableToDestroyPredefinedWorkspaceInRepository

    public static I18n unableToDestroyPredefinedWorkspaceInRepository

### unableToDestroyDefaultWorkspaceInRepository

    public static I18n unableToDestroyDefaultWorkspaceInRepository

### unableToDestroySystemWorkspaceInRepository

    public static I18n unableToDestroySystemWorkspaceInRepository

### workspaceNotFound

    public static I18n workspaceNotFound

### unableToRestoreAtAbsPathNodeAlreadyExists

    public static I18n unableToRestoreAtAbsPathNodeAlreadyExists

### unableToFindRepositoryConfigurationSchema

    public static I18n unableToFindRepositoryConfigurationSchema

### unableToLoadRepositoryConfigurationSchema

    public static I18n unableToLoadRepositoryConfigurationSchema

### errorsInRepositoryConfiguration

    public static I18n errorsInRepositoryConfiguration

### engineIsNotRunning

    public static I18n engineIsNotRunning

### engineAtJndiLocationIsNotRunning

    public static I18n engineAtJndiLocationIsNotRunning

### repositoryConfigurationIsNotValid

    public static I18n repositoryConfigurationIsNotValid

### startingOfRepositoryWasCancelled

    public static I18n startingOfRepositoryWasCancelled

### startingOfRepositoryWasInterrupted

    public static I18n startingOfRepositoryWasInterrupted

### failedToShutdownDeployedRepository

    public static I18n failedToShutdownDeployedRepository

### repositoryIsAlreadyDeployed

    public static I18n repositoryIsAlreadyDeployed

### repositoryIsNotRunningOrHasBeenShutDown

    public static I18n repositoryIsNotRunningOrHasBeenShutDown

### repositoryIsNotRunningOrHasBeenShutDownInEngineAtJndiLocation

    public static I18n repositoryIsNotRunningOrHasBeenShutDownInEngineAtJndiLocation

### repositoryNotFoundInEngineAtJndiLocation

    public static I18n repositoryNotFoundInEngineAtJndiLocation

### repositoriesNotFoundInEngineAtJndiLocation

    public static I18n repositoriesNotFoundInEngineAtJndiLocation

### potentialClasspathErrorAtJndiLocation

    public static I18n potentialClasspathErrorAtJndiLocation

### errorStartingRepository

    public static I18n errorStartingRepository

### storageRelatedConfigurationChangesWillTakeEffectAfterShutdown

    public static I18n storageRelatedConfigurationChangesWillTakeEffectAfterShutdown

### missingRepositoryNameInUrlContainingJndiLocationOfEngine

    public static I18n missingRepositoryNameInUrlContainingJndiLocationOfEngine

### errorShuttingDownJcrRepositoryFactory

    public static I18n errorShuttingDownJcrRepositoryFactory

### repositoryNameDoesNotMatchConfigurationName

    public static I18n repositoryNameDoesNotMatchConfigurationName

### errorWhileShuttingDownRepositoryInJndi

    public static I18n errorWhileShuttingDownRepositoryInJndi

### errorWhileShuttingDownEngineInJndi

    public static I18n errorWhileShuttingDownEngineInJndi

### nodeModifiedBySessionWasRemovedByAnotherSession

    public static I18n nodeModifiedBySessionWasRemovedByAnotherSession

### nodeCreatedBySessionUsedExistingKey

    public static I18n nodeCreatedBySessionUsedExistingKey

### failedWhileRollingBackDestroyToRuntimeError

    public static I18n failedWhileRollingBackDestroyToRuntimeError

### unexpectedException

    public static I18n unexpectedException

### configurationError

    public static I18n configurationError

### configurationWarning

    public static I18n configurationWarning

### errorDuringGarbageCollection

    public static I18n errorDuringGarbageCollection

### errorMarkingBinaryValuesUnused

    public static I18n errorMarkingBinaryValuesUnused

### unableToReadTemporaryDirectory

    public static I18n unableToReadTemporaryDirectory

### unableToWriteTemporaryDirectory

    public static I18n unableToWriteTemporaryDirectory

### unableToPersistBinaryValueToFileSystemStore

    public static I18n unableToPersistBinaryValueToFileSystemStore

### unableToDeleteTemporaryFile

    public static I18n unableToDeleteTemporaryFile

### unableToFindBinaryValue

    public static I18n unableToFindBinaryValue

### tempDirectorySystemPropertyMustBeSet

    public static I18n tempDirectorySystemPropertyMustBeSet

### tempDirectoryLocation

    public static I18n tempDirectoryLocation

### errorKillingRepository

    public static I18n errorKillingRepository

### errorKillingEngine

    public static I18n errorKillingEngine

### errorExtractingTextFromBinary

    public static I18n errorExtractingTextFromBinary

### errorAddingBinaryTextToIndex

    public static I18n errorAddingBinaryTextToIndex

### missingQueryVariableValue

    public static I18n missingQueryVariableValue

### errorClosingLuceneReaderForIndex

    public static I18n errorClosingLuceneReaderForIndex

### ignoringIndexingProperty

    public static I18n ignoringIndexingProperty

### locationForIndexesIsNotDirectory

    public static I18n locationForIndexesIsNotDirectory

### locationForIndexesCannotBeRead

    public static I18n locationForIndexesCannotBeRead

### locationForIndexesCannotBeWritten

    public static I18n locationForIndexesCannotBeWritten

### errorWhileCommittingIndexChanges

    public static I18n errorWhileCommittingIndexChanges

### errorWhileRollingBackIndexChanges

    public static I18n errorWhileRollingBackIndexChanges

### missingVariableValue

    public static I18n missingVariableValue

Constructor Detail

### JcrI18n

    public JcrI18n()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.